%****************************************************************
%        Hochschule Hamm-Lippstadt                              *
%****************************************************************
% Modul           : ReadSensors_master                          *
%                                                               *
% Datum           : 16-Jan-2019                                 *
%                                                               *
% Funktion        : Anzeige von HEX-Daten                       *
%                                                               *
%                                                               *
% Implementation  : MATLAB R2018b                               *
%                                                               *
%                                                               *
% Author          : Tolga Bozer & Lukas Ranzinger               *
%                                                               *
%                                                               *
% Bemerkung       : Die Software verwendet SourceCode           *
%                   von https://github.com/sid5291/             *
%                   SensorTag-Matlab                            * 
%                                                               *
% Letzte nderung : 16-Jan-2019                                 *
%                                                               *
%***************************************************************/

function Hex_disp(data,type)
    if(nargin < 2)
        type = 0;
    end
    h_disp = ' ';
    for i=1:length(data)
         if(type == 0)
            h_disp=[h_disp data(i,:) ' '];
         elseif(type == 1)
            h_disp=[h_disp data(i,:) ':'];
         end    
    end
    disp(h_disp);
end